<?php include '../../common/header.php'; ?>
<?php include '../../script/client_session_check.php'; ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Tickets</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../../dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
  <div class="wrapper">
    <!-- Navbar -->
    <?php include '../../common/client-top-nav.php'; ?>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <?php include '../../common/client-side-nav.php'; ?>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Ticket Details</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="<?php echo $domain; ?>dashboard.php">Home</a></li>
                <li class="breadcrumb-item active">Edit Ticket</li>
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card">
                <!-- <div class="card-header">
                  <button type="button" class="btn btn-block bg-gradient-success" style="max-width: 200px; float:right;" data-toggle="modal" data-target=".add-category"><i class="fas fa-plus"></i> Raise New Ticket</button>
                </div> -->
                <!-- /.card-header -->
                <?php
                require '../../script/db.php';
                $ticket_id = mysqli_real_escape_string($mysqli, $_REQUEST['ticket_id']);
                $sql_s = "SELECT * FROM tbl_tickets JOIN tbl_project ON tbl_tickets.ticket_proj_id = tbl_project.project_id WHERE tbl_tickets.ticket_id = '$ticket_id'";
                $result_s = $mysqli->query($sql_s);
                if ($result_s->num_rows > 0) {
                  while ($row_s = $result_s->fetch_assoc()) {
                    $ticket_title = $row_s["ticket_title"];
                    $project_name = $row_s["project_name"];
                    $ticket_start_date = $row_s["ticket_start_date"];
                    $ticket_description = $row_s["ticket_description"];
                    $ticket_status = $row_s["ticket_status"];
                  }
                }
                ?>
                <div class="card-body">
                  <div class="row">
                    <div class="col-4">
                      <label for="title">Ticket Title:</label>
                      <h4 id="title"><?php echo $ticket_title; ?></h4>
                    </div>
                    <div class="col-4">
                      <label for="title">Ticket Start Date:</label>
                      <h4 id="title"><?php echo $ticket_start_date; ?></h4>
                    </div>
                    <div class="col-4">
                      <label for="title">Project:</label>
                      <h4 id="title"><?php echo $project_name; ?></h4>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-4">
                      <label for="title">Description:</label>
                      <h4 id="title"><?php echo $ticket_description; ?></h4>
                    </div>
                    <div class="col-4">
                      <label for="title">Type:</label>
                      <h4 id="title"><?php echo $ticket_category; ?></h4>
                    </div>
                    <div class="col-4">
                      <label for="title">Priority:</label>
                      <h4 id="title"><?php if ($ticket_priority == 1) {
                                        echo "Critical";
                                      } elseif ($ticket_priority == 2) {
                                        echo "High";
                                      } elseif ($ticket_priority == 3) {
                                        echo "Medium";
                                      } elseif ($ticket_priority == 4) {
                                        echo "Low";
                                      } ?></h4>
                    </div>
                    <div class="col-3">
                      <label for="title">Ticket Status:</label>
                      <h4 id="title"><?php
                                      if ($ticket_status == 2) {
                                        echo '<button class="btn btn-block btn-success btn-xs" type="button">Open</button>';
                                      } elseif ($ticket_status == 3) {
                                        echo '<button class="btn btn-block btn-danger btn-xs" type="button">Closed</button>';
                                      } elseif ($ticket_status == 4) {
                                        echo '<button class="btn btn-block btn-primary btn-xs" type="button">Awaiting Response</button>';
                                      } elseif ($ticket_status == 5) {
                                        echo '<button class="btn btn-block btn-warning btn-xs" type="button">In Progress</button>';
                                      }; ?></h4>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-6">
                      <label for="title">Ticket Images:</label>
                      <?php
                      $sql_img = "SELECT * FROM tbl_ticket_files WHERE files_tkt_id = '$ticket_id' AND files_type = 'image'";
                      $result_img = $mysqli->query($sql_img);
                      if ($result_img->num_rows > 0) {
                        while ($row_img = $result_img->fetch_assoc()) { ?>
                          <a href="<?php echo "../../uploads/" . $row_img["files_path"]; ?>" target="blank"> <img width="100" height="100" src="<?php echo "../../uploads/" . $row_img["files_path"]; ?>" alt="image"></a>
                      <?php
                        }
                      }
                      ?>
                    </div>
                    <div class="col-6">
                      <label for="title">Ticket Videos:</label>
                      <?php
                      $sql_vd = "SELECT * FROM tbl_ticket_files WHERE files_tkt_id = '$ticket_id' AND files_type = 'video'";
                      $result_vd = $mysqli->query($sql_vd);
                      if ($result_vd->num_rows > 0) {
                        while ($row_vd = $result_vd->fetch_assoc()) { ?>
                          <a href="<?php echo "../../uploads/" . $row_vd["files_path"]; ?>" target="blank"><video width="100" height="100" controls>
                              <source src="<?php echo "../../uploads/" . $row_vd["files_path"]; ?>" type="video/mp4">
                              Your browser does not support the video tag.
                            </video></a>
                      <?php
                        }
                      }
                      ?>
                    </div>
                  </div>
                  <hr>
                  <div class="row" style="margin-top: 20px;">
                    <div class="col-12" style="margin-bottom: 20px;">
                      <h2 style="color: orange;">Comments</h2>
                    </div>
                    <?php
                    $sql_cm = "SELECT * FROM tbl_tkt_comments JOIN tbl_users ON tbl_tkt_comments.comments_by=tbl_users.user_id WHERE comments_tkt_id = '$ticket_id'";
                    $result_cm = $mysqli->query($sql_cm);
                    if ($result_cm->num_rows > 0) {
                      while ($row_cm = $result_cm->fetch_assoc()) { ?>

                        <div class="col-3">
                          <h3 style="color: #5538ff;"><?php echo $row_cm["fullname"]; ?></h3>
                        </div>
                        <div class="col-7">
                          <p><?php echo $row_cm["comments_text"]; ?></p>
                        </div>
                        <div class="col-2">
                          <p><?php $dateString = $row_cm["comments_created_at"];
                              $date = new DateTime($dateString);
                              echo $date->format('d/m/Y');
                              ?></p>
                        </div>

                    <?php
                      }
                    }
                    ?>
                  </div>
                  <hr>
                  <form action="script/addcomment.php" method="post">
                    <input type="text" value="<?php echo $ticket_id; ?>" name="ticketid" hidden>
                    <input type="text" value="<?php echo $user_id; ?>" name="commentby" hidden>
                    <div class="row">
                      <div class="col-12">
                        <textarea name="comment" id="" cols="100" rows="5" placeholder="Add your comment" required></textarea>
                      </div>
                      <div class="col-6">
                        <label for="title">Update Status:</label>
                        <select name="status" id="status" class="form-control">
                          <option value="" selected disabled>Please Select</option>
                          <option value="2">Open</option>
                        </select>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-3">
                        <a href="listtickets.php"><button style="max-width: 100px; margin-top:10px;" class="btn btn-block btn-secondary btn-lg" type="button">Back</button></a>
                      </div>
                      <div class="col-3">
                        <button style="float: left; max-width: 100px; margin-top:10px;" class="btn btn-block btn-primary btn-lg" type="submit">Submit</button>
                      </div>
                    </div>
                  </form>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <?php include "../../common/footer.php" ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="../../plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="../../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="../../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="../../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="../../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
  <script src="../../plugins/jszip/jszip.min.js"></script>
  <script src="../../plugins/pdfmake/pdfmake.min.js"></script>
  <script src="../../plugins/pdfmake/vfs_fonts.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.print.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  <script src="../../plugins/sweetalert2/sweetalert2.min.js"></script>
  <script src="../../plugins/toastr/toastr.min.js"></script>
  <!-- AdminLTE App -->
  <script src="../../dist/js/adminlte.min.js"></script>
  <!-- Page specific script -->
  <script>
    $(function() {
      $("#example1").DataTable({
        "responsive": true,
        "lengthChange": false,
        "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
      });
    });
  </script>
  <script>
    $(function() {
      var Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000
      });

      if (window.location.search.includes('result=3')) {
        // Execute the script here
        Toast.fire({
          icon: 'success',
          title: 'Project Deleted Successfully ...'
        });
      }

      if (window.location.search.includes('result=1')) {
        // Execute the script here
        Toast.fire({
          icon: 'info',
          title: 'Project Edited Successfully ...'
        });
      }

      if (window.location.search.includes('result=2')) {
        // Execute the script here
        Toast.fire({
          icon: 'error',
          title: 'Something Went Wrong !!!'
        });
      }

      if (window.location.search.includes('result=4')) {
        // Execute the script here
        Toast.fire({
          icon: 'success',
          title: 'Ticket Added Successfully ...'
        });
      }

    });
  </script>

  <!-- Add category popup -->

  <div class="modal fade add-category" tabindex="-1" role="dialog" aria-labelledby="addCategory" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Create Ticket</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
          <form method="post" action="script/add_ticket_action.php" enctype="multipart/form-data">
            <div class="card-body">
              <div class="form-group">
                <label for="exampleInputEmail1">Ticket Title:</label>
                <input type="text" class="form-control" id="title" placeholder="Enter Title" name="title" required>
              </div>
              <div class="row form-group">
                <div class="col-6">
                  <label for="exampleInputEmail1">Start Date:</label>
                  <input type="text" class="form-control" id="date" placeholder="Enter Date" name="date" value="<?php date_default_timezone_set('Asia/Kolkata');
                                                                                                                echo date('d/m/Y'); ?>" required readonly>
                </div>

              </div>
              <div class="form-group">
                <label for="exampleInputEmail1">Select Project:</label>
                <select name="selected_project" id="selected_project" class="form-control" required>
                  <option value="" selected disabled>Select Project</option>
                  <?php
                  $sql_p = "SELECT project_id, project_name FROM tbl_project";
                  $result_p = $mysqli->query($sql_p);
                  if ($result_p->num_rows > 0) {
                    while ($row_p = $result_p->fetch_assoc()) {
                      $project_id_p = $row_p["project_id"];
                      $project_name_p = $row_p["project_name"];
                      echo "<option value='$project_id_p'>$project_name_p</option>";
                    }
                  }
                  ?>
                  ?>
                </select>
              </div>
              <div class="form-group">
                <label for="exampleInputEmail1">Description:</label>
                <textarea name="desc" id="" cols="30" rows="10" class="form-control" placeholder="Please Explain in detail..."></textarea>
              </div>
              <div class="row form-group">
                <div class="col-6">
                  <label for="exampleInputEmail1">Images:</label>
                  <input type="file" class="form-control" id="images" placeholder="Select images" name="images[]" required multiple>
                </div>
                <div class="col-6">
                  <label for="exampleInputEmail1">Videos:</label>
                  <input type="file" class="form-control" id="videos" placeholder="Select videos" name="videos[]" required multiple>
                </div>
              </div>
            </div>
            <!-- /.card-body -->

            <div class="card-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              <button style="float: right;" type="submit" class="btn btn-primary">Submit</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</body>

</html>