<?php include '../../common/header.php'; ?>
<?php include '../../script/session_check.php'; ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Projects</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <link rel="stylesheet" href="../../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../../dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
  <div class="wrapper">
    <!-- Navbar -->
    <?php include '../../common/top-nav.php'; ?>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <?php include '../../common/side-nav.php'; ?>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Project List</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="<?php echo $domain; ?>dashboard.php">Home</a></li>
                <li class="breadcrumb-item active">Project List</li>
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card">
                <div class="card-header">
                  <button type="button" class="btn btn-block bg-gradient-success" style="max-width: 200px; float:right;" data-toggle="modal" data-target=".add-category"><i class="fas fa-plus"></i> Add New Project</button>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <!-- <button type="button" class="btn btn-success swalDefaultSuccess">
                  Launch Success Toast
                </button> -->
                        <th>Project Name</th>
                        <th>Client</th>
                        <th>Start Date</th>
                        <th>Actions</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php
                      require '../../script/db.php';
                      $sql = "SELECT * FROM tbl_project JOIN tbl_users ON tbl_project.project_client_id = tbl_users.user_id";
                      if ($stmt = mysqli_prepare($mysqli, $sql)) {
                        mysqli_stmt_execute($stmt);
                        $result = mysqli_stmt_get_result($stmt);
                        if (mysqli_num_rows($result) > 0) {
                          while ($row = mysqli_fetch_array($result)) {
                      ?>
                            <tr>
                              <td><?php echo $row['project_name']; ?></td>
                              <td><?php echo $row['fullname']; ?></td>
                              <td><?php echo $row['project_start_date']; ?></td>
                              <td>
                                <a onclick="return confirm('Are you sure you want to delete the project?')" href="script/delete_project_action.php?project_id=<?php echo $row['project_id']; ?>" style="text-decoration: none; color:red;"><i class="fas fa-trash-alt"></i></a>
                              </td>
                            </tr>
                      <?php }
                        }
                        mysqli_stmt_close($stmt);
                      } ?>
                    </tbody>
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <?php include "../../common/footer.php" ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="../../plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="../../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="../../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="../../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="../../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
  <script src="../../plugins/jszip/jszip.min.js"></script>
  <script src="../../plugins/pdfmake/pdfmake.min.js"></script>
  <script src="../../plugins/pdfmake/vfs_fonts.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.print.min.js"></script>
  <script src="../../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  <script src="../../plugins/sweetalert2/sweetalert2.min.js"></script>
  <script src="../../plugins/toastr/toastr.min.js"></script>
  <!-- AdminLTE App -->
  <script src="../../dist/js/adminlte.min.js"></script>
  <!-- Page specific script -->
  <script>
    $(function() {
      $("#example1").DataTable({
        "responsive": true,
        "lengthChange": false,
        "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
      });
    });
  </script>
  <script>
    $(function() {
      var Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000
      });

      if (window.location.search.includes('result=3')) {
        // Execute the script here
        Toast.fire({
          icon: 'success',
          title: 'Project Deleted Successfully ...'
        });
      }

      if (window.location.search.includes('result=1')) {
        // Execute the script here
        Toast.fire({
          icon: 'info',
          title: 'Project Edited Successfully ...'
        });
      }

      if (window.location.search.includes('result=2')) {
        // Execute the script here
        Toast.fire({
          icon: 'error',
          title: 'Something Went Wrong !!!'
        });
      }

      if (window.location.search.includes('result=4')) {
        // Execute the script here
        Toast.fire({
          icon: 'success',
          title: 'Project Added Successfully ...'
        });
      }

    });
  </script>

  <!-- Add category popup -->

  <div class="modal fade add-category" tabindex="-1" role="dialog" aria-labelledby="addCategory" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Add Project</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
          <form method="post" action="script/add_project_action.php" enctype="multipart/form-data">
            <div class="card-body">
              <div class="form-group">
                <label for="exampleInputEmail1">Project Name:</label>
                <input type="text" class="form-control" id="project_name" placeholder="Enter Vendor Name" name="project_name" required>
              </div>
              <div class="form-group">
                <label for="exampleInputEmail1">Select Client:</label>
                <select name="selected_client" id="selected_client" class="form-control" required>
                  <option value="" selected disabled>Select Client</option>
                  <?php
                  require '../../script/db.php';
                  $sql_s = "SELECT user_id, fullname FROM tbl_users";
                  $result_s = $mysqli->query($sql_s);
                  if ($result_s->num_rows > 0) {
                    while ($row_s = $result_s->fetch_assoc()) {
                      $user_id = $row_s["user_id"];
                      $fullname = $row_s["fullname"];
                      echo "<option value='$user_id'>$fullname</option>";
                    }
                  }
                  ?>
                </select>
              </div>
              <div class="form-group">
                <label for="exampleInputEmail1">Start Date:</label>
                <input type="date" class="form-control" id="start_date" placeholder="Start Date" name="start_date" required>
              </div>
            </div>
            <!-- /.card-body -->

            <div class="card-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              <button style="float: right;" type="submit" class="btn btn-primary">Submit</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</body>

</html>