<?php
include("db.php");
// Check if the login form has been submitted
if (isset($_POST['email']) && isset($_POST['password'])) {
    // Get the username and password from the POST data

    $username = isset($_REQUEST['email']) ? $_REQUEST['email'] : "";
    $password = isset($_REQUEST['password']) ? $_REQUEST['password'] : "";
    $sanitized_username = filter_var($username, FILTER_SANITIZE_FULL_SPECIAL_CHARS);
    $sanitized_password = filter_var($password, FILTER_SANITIZE_FULL_SPECIAL_CHARS);


    // Prepare the SQL query to retrieve the user data
    $query = "SELECT user_id, email, password, role FROM tbl_users WHERE email = ?";

    // Prepare the statement and bind the parameters
    $stmt = $mysqli->prepare($query);
    $stmt->bind_param('s', $sanitized_username);

    // Execute the query and fetch the result
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if a row was returned
    if ($result->num_rows == 1) {
        // Fetch the user data
        $row = $result->fetch_assoc();
        $user_id = $row['user_id'];
        $username = $row['email'];
        $role = $row['role'];
        $hash = $row['password'];

        // Verify the password
        if (password_verify($sanitized_password, $hash)) {
            // Password is correct, start the session and store the user ID
            session_start();
            $_SESSION['user_id'] = $user_id;
            // Check the user role
            if ($role == 1) {
                header("Location: ../dashboard.php");
            } elseif ($role == 2) {
                header("Location: ../client_dashboard.php");
            } else{
                header("Location: ../index.html?result=not authorised");
            }
        } else {
            // Password is incorrect
            header("Location: ../index.php?result=password incorrect");
        }
    } else {
        // User not found
        header("Location: ../index.php?result=user not found");
    }
}

// Close the database connection
$mysqli->close();
