<?php
include ("db.php");
session_start();
$domain = "https://membership.buyingpropertyinzambia.com/admin/";
// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    header("Location: index.php");
    exit();
}

$user_id = $_SESSION['user_id'];

$query = "SELECT role, fullname, email FROM tbl_users WHERE user_id = ?";
$stmt = $mysqli->prepare($query);
$stmt->bind_param('i', $_SESSION['user_id']);
$stmt->execute();
$result = $stmt->get_result();

// Check if a row was returned
if ($result->num_rows == 1) {
    // Fetch the user role
    $row = $result->fetch_assoc();
    $role = $row['role'];
    $fullname = $row['fullname'];
    $email = $row['email'];
} else {
    // User not found
    header("Location: index.php");
    exit();
}

$_SESSION['fullname'] = $fullname;
$_SESSION['email'] = $email;

// Close the database connection
$mysqli->close();

// If the user is logged in and has a role of 1, continue with the page
if ($role !== 1) {
    header("Location: index.php?result=4");
exit();
}

// Set the inactivity timeout period (in seconds)
$inactiveTimeout = 900; // 15 minutes

// Check if the session variable for last activity time is set
if (isset($_SESSION['last_activity'])) {
    // Calculate the time difference between the current time and the last activity time
    $inactiveTime = time() - $_SESSION['last_activity'];

    // Check if the inactive time exceeds the timeout period
    if ($inactiveTime >= $inactiveTimeout) {
        // Expire the session and destroy all session data
        session_unset();
        session_destroy();

        // Redirect the user to the logout page or any desired location
        header("Location: $domain");
        exit;
    }
}

// Update the last activity time
$_SESSION['last_activity'] = time();
?>